POST /admin/api/credentials/{id}/quota-probe
curl --request POST \
--url https://api.example.com/admin/api/credentials/{id}/quota-probe \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/credentials/{id}/quota-probe"
headers = {"cookie": "gproxy_session="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/credentials/{id}/quota-probe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/credentials/{id}/quota-probe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/credentials/{id}/quota-probe"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/admin/api/credentials/{id}/quota-probe")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/credentials/{id}/quota-probe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"entries": [
{
"allowance": {
"limit": "<string>",
"periodEndMs": 123,
"periodStartMs": 123,
"remaining": "<string>",
"resetBehavior": "<string>",
"unit": "<string>",
"unlimited": true,
"used": "<string>",
"usedPercent": "<string>"
},
"balance": {
"remaining": "<string>",
"unit": "<string>"
},
"breakdown": [
{
"key": "<string>",
"label": "<string>",
"percent": "<string>"
}
],
"id": "<string>",
"kind": "<string>",
"label": "<string>",
"modelScope": "<unknown>",
"sourceId": "<string>",
"subject": "<string>"
}
],
"observedAtMs": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
POST /admin/api/credentials/{id}/quota-probe
POST
/
admin
/
api
/
credentials
/
{id}
/
quota-probe
POST /admin/api/credentials/{id}/quota-probe
curl --request POST \
--url https://api.example.com/admin/api/credentials/{id}/quota-probe \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/credentials/{id}/quota-probe"
headers = {"cookie": "gproxy_session="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/credentials/{id}/quota-probe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/credentials/{id}/quota-probe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/credentials/{id}/quota-probe"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/admin/api/credentials/{id}/quota-probe")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/credentials/{id}/quota-probe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"entries": [
{
"allowance": {
"limit": "<string>",
"periodEndMs": 123,
"periodStartMs": 123,
"remaining": "<string>",
"resetBehavior": "<string>",
"unit": "<string>",
"unlimited": true,
"used": "<string>",
"usedPercent": "<string>"
},
"balance": {
"remaining": "<string>",
"unit": "<string>"
},
"breakdown": [
{
"key": "<string>",
"label": "<string>",
"percent": "<string>"
}
],
"id": "<string>",
"kind": "<string>",
"label": "<string>",
"modelScope": "<unknown>",
"sourceId": "<string>",
"subject": "<string>"
}
],
"observedAtMs": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.